c program xygrav_plot works in UTM coordinates
c
      implicit none
      integer  dim, i     
      parameter( dim = 100 )
      integer  nvalues, npx, npy, iscale/50000/
      real     grav(dim), est(dim,dim), x(dim), y(dim), xmax, xmin
      real     uncor(dim), cor(dim), ymax, ymin
      character ifile*80/'gaspe.grv'/, plot*1/'G'/
c
      call tin('Name of data file ?',ifile)
      open(unit=1,file=ifile,status='old',readonly)
      do i = 1, dim
        read(1,*,end=100) x(i), y(i), grav(i), cor(i)
        uncor(i) = grav(i) - cor(i)
        xmax = max(xmax,x(i))
        xmin = min(xmin,x(i))
        ymax = max(ymax,y(i))
        ymin = min(ymin,y(i))
      end do
100   nvalues = i - 1 
      write(6,*) 'Number of values read = ',nvalues
      xmin = int(xmin/1000.0)*1000.0
      xmax = int(xmax/1000.0)*1000.0
      ymax = int(ymax/1000.0)*1000.0
      ymin = int(ymin/1000.0)*1000.0
      call tin('Plot G_ravity, terrain C_orrection or U_ncorrected'
     >         //' data ?',plot)
      call shiftup(plot)
c                 
      npx = dim/2.0
      npy = dim/2.0
      call groute( 'list' )
      call gopen 
      call gsegcr(1)
      call gvport(60.0,25.0,150.0,150.0)
      call glimit(xmin,xmax,ymin,ymax,0.0,0.0)
c      call gwbox(7.35,5.56,0.0)
      call gaxis2(0,'East$','North$')
      call gzcl(0,9,2)
      if(plot.eq.'G') then 
        call gintp1(x,y,grav,nvalues,est,npx,npy)
       else if(plot.eq.'C') then 
        call gintp1(x,y,cor,nvalues,est,npx,npy)
       else if(plot.eq.'U') then 
        call gintp1(x,y,uncor,nvalues,est,npx,npy)
      end if
      call gcnr2s(est,npx,npy)
      call gcoscl(0.0,25.0)
      call gscale
      call gwicol(-5.0,1)
      call gdot(x,y,nvalues)
      call gsegcl(1)
      call gclose
      stop
      end

