c
      integer  dim, i       
      parameter( dim = 100000 )
      integer  nvalues, npx, npy, iscale/50000/
      real     grav(dim), xmax, xmin, xx, yy
      real     ymax, ymin
      character ifile*80/'map.out'/
c
      call tin('Name of data file ?',ifile)
      open(unit=1,file=ifile,status='old',readonly)
      xmin =  1.0e+30
      xmax = -1.0e+30
      ymin =  1.0e+30
      ymax = -1.0e+30
      k = 1
      call iin('Npx ?',npx)
      call iin('Npy ?',npy)
      call rin('xmax',xmax)
      call rin('xmin',xmin)
      call rin('ymax',ymax)
      call rin('ymin',ymin)
      do i = 1, npx
        do j = 1, npy
          read(1,*) grav(i+(j-1)*npx)
          k = k + 1
        end do
      end do
      xmin = int(xmin/1000.0)*1000.0
      xmax = int(xmax/1000.0)*1000.0
      ymax = int(ymax/1000.0)*1000.0
      ymin = int(ymin/1000.0)*1000.0
      call groute( 'list' )
      call gopen 
      call gsegcr(1)
      call gvport(60.0,25.0,150.0,150.0)
      call glimit(xmin,xmax,ymin,ymax,0.0,0.0)
      call gaxis2(0,'East$','North$')
      call gzcl(0,9,2)
      call gcnr2s(grav,npx,npy)
      call gcoscl(0.0,25.0)
      call gscale
      call gwicol(-5.0,1)
      call gdot(x,y,nvalues)
      call gsegcl(1)
      call gclose
      stop
      end

