      implicit none
      integer  dim, i
      parameter( dim = 100 )
      integer  lat(dim), lon(dim), nvalues, npx, npy, nv
      real     grav(dim), est(dim,dim), x(dim), y(dim)
      real     lat_min(dim), lon_min(dim)
      character*80 ifile/'gaspe.grv'/
c
      call tin('Name of data file ?',ifile)
      open(unit=1,file=ifile,status='old',readonly)
      do i = 1, dim
        read(1,*,end=100) lat(i), lat_min(i), 
     >                    lon(i), lon_min(i), grav(i)
      end do
100   nvalues = i - 1 
      write(6,*) 'Number of values read = ',nvalues
c
      do i = 1, nvalues
        x(i) = lon_min(i)  
        y(i) = lat_min(i) 
      end do
      nv = nvalues
c
      npx = dim/2.0
      npy = dim/2.0
      call groute( 'list' )
      call gopen 
      call gsegcr(1)
      call gvport(60.0,25.0,150.0,150.0)
      call glimit(30.0,0.0,45.0,60.0,0.0,0.0)
      call gwbox(7.35,5.56,0.0)
      call gaxis(1,30.0,-15.0, 0.0,'Longitude$')
      call gaxis(2,45.0, 15.0,60.0,'Latitude$')
      call gzcl(0,9,2)
      call gintp1(x,y,grav,nvalues,est,npx,npy)
      call gcnr2s(est,npx,npy)
      call gcoscl(0.0,25.0)
      call gscale
      call gwicol(-5.0,1)
      call gdot(x,y,nv)
      call gsegcl(1)
      call gclose
      stop
      end
