      implicit none
      integer  dim, i
      parameter( dim = 500 )
      integer  np, code, kolor(8), old, nf/8/, ifc(8)
      integer  hu(8), li(8), sa(8)
      real     x(dim), y(dim), xmin, ymin, xi, yi, xmax, ymax
      real     frame/-1.0/, xscale, yscale, xl, yl, xo, yo
      character*80 ifile/'geology.map'/
      character formations(8)*60, dummy*40, intr*1/'Y'/
      data     kolor/2,3,4,5,6,7,8,9/, ifc/8,9,2,3,6,5,7,4/
      data     xl/180.0/, xo/60.0/
      data     yl/160.0/, yo/35.0/
      data     formations/  
     > 'Felsic Intrusives (Devonian dikes and sills)$',
     > 'Mafic Intrusives (Devonian dikes and sills)$',
     > 'York River (Devonian basalts and mudstones)$',
     > 'York Lake (Devonian mudstones)$',
     > 'Indian Cove (Devonian siltstones)$',
     > 'Shiphead (Devonian mudstones)$',
     > 'Forillon (Devonian greywacke)$',
     > 'St. Leon (Silurian siltsones)$'/
      data     xmin/704000/, xmax/713000/, ymin/5404500/, ymax/5412500/
      data     hu/160,100,220,180,300,260,120,  0/
      data     li/ 75, 75, 75, 75, 75, 75, 90, 35/
      data     sa/100,100,100,100,100,100,100, 50/
c
      call tin('Name of data file ?',ifile)
      call tin('Plot intrusive bodies ?',intr)
      call rin('Enter UTM easting minimum ?',xmin)
      call rin('Enter UTM easting maximum ?',xmax)
      call rin('Enter UTM northing minimum ?',ymin)
      call rin('Enter UTM northing maximum ?',ymax)
      call shiftup(intr)
      call groute( 'list' )
      call gopen 
      call gshmes('DIS','DIS')
      call gsegcr(1)
      call gvport(xo,yo,xl,yl)
      call glimit(xmin,xmax,ymin,ymax,0.0,0.0)
      call gaxis(1,xmin,0.0,xmax,'UTM Easting$')
      call gaxis(2,ymin,0.0,ymax,'UTM Northing$')
      call gcolor(2,hu,li,sa,8)
      call rrect(xo,yo,xo+xl,yo+yl,kolor(1),frame)
      xscale = (xmax-xmin)/xl
      yscale = (ymax-ymin)/yl
      open(unit=1,file=ifile,status='old',readonly)
      read(1,'(a)') dummy
      read(1,'(a)') dummy
      i = 1
      do while(.true.) 
        read(1,*,end=100) xi, yi, code
        x(i) = (xi - xmin)/xscale + xo
        y(i) = (yi - ymin)/yscale + yo
        if(code.ne.0) old = code
        if(code.eq.0) then
          np = i 
          if(old.eq.1) then
            call gwicol(-3.0,1)
            call gvect(x,y,np)
           else
            if(old.ge.7) then
              if(intr.eq.'Y') call rsurf(x,y,np,kolor(old),frame)
             else
              call rsurf(x,y,np,kolor(old),frame)
            end if
          end if
          i = 1
         else
          i = i + 1
        end if
      end do
c
100   xi = xl + 2*xo
      yi = 80.0
      do i = 1, nf
        if(i.le.2) then
          if(intr.eq.'Y') call glegnd(xi,yi,ifc(i),formations(i))
         else
          call glegnd(xi,yi,ifc(i),formations(i))
        end if
        yi = yi - 10.0
      end do
      call gsegcl(1)
      call gclose
      stop
      end
