      integer  i, j, k, dim, number, ix, iy, dim2, iop
      integer  hu(8), li(8), sa(8), nf, kolor(8), nnpx, nnpy, icol
      parameter ( dim = 90000, dim2 = 150 )
      real est(dim), geol(dim), xpos, ypos, zpos, xi, yi, zcl(8)
      real iest(dim), xf(2500), yf(2500), zf(2500)
      real xmax, xmin, ymax, ymin, deltax, deltay
      integer npx, npy, iskip/5/
      integer*2 igeol(dim)
      character ifile1*80/'map.unf'/, ifile2*80/'intr.new'/
      character formations(8)*60, intr*1/'Y'/, ans*1/'N'/
      data     formations/  
     > 'York River$', 'York Lake$', 'Indian Cove$',
     > 'Shiphead$',   'Forillon$',  'St. Leon$',
     > 'Mafic Intrusives$', 'Felsic Intrusives$'/
      data     hu/160,100,220,180,300, 30,  0, 120/
      data     li/ 75, 75, 75, 75, 75, 75, 35,  90/
      data     sa/100,100,100,100,100, 50, 50, 100/
      data     zcl/1,2,3,4,5,6,7,8/
      data     kolor/2,3,4,5,6,7,8,9/
c                                                                
      npx = 300        
      npy = 300          
      call tin('Enter unformatted data file name ?',ifile1)          
      open(unit=1,file=ifile1,status='old',readonly,form='unformatted')
      read(1) iest, igeol
      call iin('Number of plotting points to skip ?',iskip)
      call tin('Plot intrusives ?',ans)
      k = 1
      do i = 1, npx, iskip + 1    
        do j = 1, npy, iskip + 1
          est(k)  = iest(i+(j-1)*npx)
          geol(k) = igeol(i+(j-1)*npx)
          k = k + 1
        enddo
      enddo
      number = dim
      xpos =  0.5
      ypos = -3.0      
      zpos =  3.0        
      ymax = 5412.5
      ymin = 5404.5
      xmax = 713.
      xmin = 704.
      deltax = (xmax-xmin)/float(npx-1)
      deltay = (ymax-ymin)/float(npy-1)
      if(ans.eq.'y'.or.ans.eq.'Y') then
        call tin('Intrusive file name ?',ifile2)
       else
        ifile2 = 'none'
      end if
      nnpx = npx / float(iskip + 1)
      nnpy = npy / float(iskip + 1)
c
110   call rin('X eye position (in # of x-axis lengths)?',xpos)
      call rin('Y eye position (in # of y-axis lengths)?',ypos)
      call rin('Z eye position (in # of z-axis lengths)?',zpos)
      call groute( 'list' )   
      call gopen
      call gsegcr(1)
      call gvport(60.,25.,450.,450.)
      call glimit(xmin,xmax,ymin,ymax,0.0,1000.0)
      call gwbox(1.,1.,.5)
      call geye(xpos,ypos,zpos)
      call gfocus(0.5,0.5,0.5)
      call rcmode('HLS',100)
      call gzcl(0,5,-2)
      call gcolor(2,hu,li,sa,8)
      call gshade(kolor,6)
      call gaxis3(0,'UTM Easting (km)$','UTM Northing (km)$',
     >            'Elevation (m)$')
      call gconli(3,-2.0,1,0.0,0.0,0.0,0)                
      call gconr4(est,geol,nnpx,nnpy)
c      call gscale
      if(ifile2.ne.'none'.and.ifile2.ne.'NONE') then 
        open(unit=2,file=ifile2,status='old',readonly)
        j = 1
        do i = 1, 2500
          read(2,*,err=987,end=987) xf(j), yf(j), iop
          xf(j) = xf(j)/1000.0
          yf(j) = yf(j)/1000.0
          ix = (xf(j) - xmin)/deltax + 1
          iy = (yf(j) - ymin)/deltay + 1
          zf(j) =  iest(ix+(iy-1)*npx)
          j = j + 1
          if(iop.eq.0) then 
            nf = j - 1
            j = 1
            call gtrans(xf,yf,zf,nf)
            call rsurf(xf,yf,nf,kolor(icol),-1.0)
           else
            icol = iop
          end if
        end do
      end if
987   nf = j-1
100   xi = 0.0     
      yi =  80.0
      call gscamm
      if(ans.eq.'y'.or.ans.eq.'Y') then
        call glegnd(xi,80.0,kolor(7),formations(7))
        call glegnd(xi,70.0,kolor(8),formations(8))
      end if
      call glegnd(xi,60.0,kolor(1),formations(1))
      call glegnd(xi,50.0,kolor(2),formations(2))
      call glegnd(xi,40.0,kolor(3),formations(3))
      call glegnd(xi,30.0,kolor(4),formations(4))
      call glegnd(xi,20.0,kolor(5),formations(5))
      call glegnd(xi,10.0,kolor(6),formations(6))
      call gsegcl(1)
      call gclose                             
      call tin('Another try ?',ans)
      if(ans.eq.'y'.or.ans.eq.'Y') goto 110
      stop
      end                                   
