      integer  dim, i, dim1, dim2
      parameter( dim1 = 2000, dim2 = 200 )
      integer  code, pic(dim2), nf/8/, ifc(8), npts(dim2)
      real     px(dim1,dim2), py(dim1,dim2), xmin, ymin, xi, yi, xmax
      real     xscale, yscale, xl, yl, xo, yo, ymax
      real     slope, xx, y, y1, y2, iel(90000), grid(90000)
      character*80 ifile/'geology.new'/, ofile/'map.out'/
      data xmin/704000/, xmax/713000/, ymin/5404500/, ymax/5412500/
      data npx/20/, npy/20/
c
      call tin('Name of input data file ?',ifile)
      call rin('Enter UTM easting minimum ?',xmin)
      call rin('Enter UTM easting maximum ?',xmax)
      call rin('Enter UTM northing minimum ?',ymin)
      call rin('Enter UTM northing maximum ?',ymax)
      call iin('Number of points in the x-direction ?',npx)
      call iin('Number of points in the y-direction ?',npy)
      delx = (xmax-xmin)/float(npx-1)
      dely = (ymax-ymin)/float(npy-1)
      open(unit=1,file=ifile,status='old',readonly)
      read(1,'(a)') dummy
      read(1,'(a)') dummy
      i = 1
      npoly = 1
      do while(.true.) 
        read(1,*,end=100) px(i,npoly), py(i,npoly), pic(npoly)
        if(pic(npoly).eq.0) then 
          pic(npoly) = old
          write(*,*) 'Level = ',pic(npoly)
          npts(npoly) = i + 1
          px(i+1,npoly) = px(1,npoly)
          py(i+1,npoly) = py(1,npoly)
          npoly = npoly + 1      
          i = 1
         else 
          i = i + 1
          old = pic(npoly)
        end if
      end do
100   close(unit=1)
      npoly = npoly - 1
      x0 = 0.0
      open(unit=1,file='est.dat',status='old')
      open(unit=2,file='map.unf',status='new',form='unformatted')
      do ix = 1, npx
        x = xmin + delx*(ix-1)
        do iy = 1, npy
          y = ymin + dely*(iy-1)
          read(1,*) iel(ix+(iy-1)*npx)
          grid(iy+(ix-1)*npy) = 1.0
          do ip = 1, npoly
            nint = 0                     
            do iv = 1, npts(ip)-1
              if(x.eq.px(iv,ip).or.x.eq.px(iv+1,ip)) x = x + 0.5
              if(y.eq.py(iv,ip).or.y.eq.py(iv+1,ip)) y = y + 0.5
              y1 = min(py(iv,ip),py(iv+1,ip))
              y2 = max(py(iv,ip),py(iv+1,ip))
              if(y1.lt.y.and.y2.gt.y) then 
                if(px(iv,ip).eq.px(iv+1,ip)) then 
                  xx = px(iv,ip)
                  if(x.ge.xx) nint = nint + 1
                 else if(py(iv,ip).eq.py(iv+1,ip)) then 
                  xx = px(iv,ip)
                 else
                  slope = ( py(iv,ip) - py(iv+1,ip) ) / 
     >                    ( px(iv,ip) - px(iv+1,ip) ) 
                  b = py(iv,ip) - slope*px(iv,ip)
                  xx = ( y - b ) / slope
                  if(x.ge.xx) nint = nint + 1
                end if
              end if
            end do
            if(mod(float(nint),2.0).ne.0.0.and.nint.gt.0) then
              grid(iy+(ix-1)*npy) = 
     >                  max(float(pic(ip)),grid(iy+(ix-1)*npy))
            end if
          end do
        end do
      end do
      write(2) iel, grid
      stop
      end
